Bug 65940 - FORMATTING: Style/templates not persistent
Summary: FORMATTING: Style/templates not persistent
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 104018 (view as bug list)
Depends on:
Blocks: ImpressDraw-Styles
  Show dependency treegraph
 
Reported: 2013-06-19 17:01 UTC by aw-libreoffice
Modified: 2019-06-23 02:52 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description aw-libreoffice 2013-06-19 17:01:38 UTC
Problem description: 

If I define a style based on another style this defintion is not properly saved. Some properties are lost.

Steps to reproduce:
1. Create a new file
2. Draw a line (gets a default style)
3. Right-Click on this default style and select "New" to create a new style "RedLineWith2Arrows" based on the default style.  Make the line color red and add an arrow at both ends.
4. Assign this style to line
=> the line is red an has two arrows.
5. Define a new style "BlueLineWithLeftArrow" based on "RedLineWith2Arrows".
6. Assign the style to the line
=> the line is now blue and only has a left arrow.
7. Save and close the file.
8. Re-Load the file

Current behavior:
=> The line is now blue with no arrows.
Looks as if the style "BlueLineWithLeftArrow" has lost its arrow property or it relation to the "RedLineWithTwoArrows".

Expected behavior:
=> The line should still be blue with a left arrow.
=> The styles should be same a before the close.
Operating System: All
Version: 4.0.0.3 release
Comment 1 Thomas van der Meulen 2013-06-20 14:32:25 UTC
Thank you for your bug report, I can reproduce this bug running LibreOffice Version: 4.1.0.1
Build ID: 1b3956717a60d6ac35b133d7b0a0f5eb55e9155 on Mac osx 10.8.4.
Comment 2 QA Administrators 2015-03-16 23:38:00 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-03-31 07:44:35 UTC
Reproduced.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 8c3cf9dd48e40604867d3a28bddaccd65142df17
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-03-27_15:15:18
Locale: fi_FI
Comment 4 Regina Henschel 2015-11-23 19:56:50 UTC
I stumbled over the same problem in Version: 5.1.0.0.alpha1+
Build ID: f271602f7193ddf584ea58dc6a468e6842d0781e
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-11-08_22:37:35
Locale: de-DE (de_DE).

I have looked at the styles.xml. There are two problems:

(1) On first creation the inheritance is lost. As workaround you can, after reload, link the child style to the parent style again and save it again and then it will stay.

(2) When in the child style the property "arrow" is set to "none", then the attribute draw:marker-end is not set on saving. And then because of the absence of the attribute on opening, the attribute of the parent is used.

There exist no special value for "no marker", but the file format allows to set the draw:marker-end to an empty reference. Currently it does not work, because an empty reference is treated as no attribute on opening. My suggesting is, that LibreOffice treats an empty reference as explicit "no marker" and does not remove it automatically on opening. And when a parent has a marker set and it is set to "none" in the child, then such empty reference should be written in the child style.
To remove the attribute, the current way with the "Standard" button can then be used. [That method needs an improvement, but that is a different issue.] 

I see both problems already in OpenOffice.org 3.2.1. Therefore I change the "version" field.
Comment 5 Regina Henschel 2015-11-23 20:01:32 UTC
Loosing the link to the parent is already tracked in bug 44774. Therefore I suggest to keep this issue for the problem of setting "no marker".
Comment 6 Buovjaga 2016-11-24 11:36:38 UTC
*** Bug 104018 has been marked as a duplicate of this bug. ***
Comment 7 QA Administrators 2017-11-25 09:43:17 UTC Comment hidden (obsolete)
Comment 8 Roman Kuznetsov 2018-06-22 14:33:32 UTC
(In reply to aw-libreoffice from comment #0)
> Problem description: 
> ...
> Current behavior:
> => The line is now blue with no arrows.
> Looks as if the style "BlueLineWithLeftArrow" has lost its arrow property or
> it relation to the "RedLineWithTwoArrows".
> 
> Expected behavior:
> => The line should still be blue with a left arrow.
> => The styles should be same a before the close.
> Operating System: All
> Version: 4.0.0.3 release

I tried these steps in LO Draw 6.1 beta 2. It is still repro, but there is the difference:

After reopening I got blue line with TWO arrows and "BlueLine" style has other set for right arrow. I made variant "None", after reopen this option became "Arrow"!

ps: relation from BlueLine style to RedLine style has saved
Comment 9 QA Administrators 2019-06-23 02:52:15 UTC
Dear aw-libreoffice,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug